Update risk rules
curl --request PUT \
--url https://uat-api.clinkbill.com/agent/platform/risk-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"singleRechargeLimit": 500,
"dailyTotalLimit": 2000,
"dailyMaxCount": 5,
"rechargeInterval": "30m",
"manualApprovalThreshold": 1000,
"manualApprovalEnabled": true,
"autoSuspendEnabled": true
}
'HttpResponse<String> response = Unirest.put("https://uat-api.clinkbill.com/agent/platform/risk-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"singleRechargeLimit\": 500,\n \"dailyTotalLimit\": 2000,\n \"dailyMaxCount\": 5,\n \"rechargeInterval\": \"30m\",\n \"manualApprovalThreshold\": 1000,\n \"manualApprovalEnabled\": true,\n \"autoSuspendEnabled\": true\n}")
.asString();import requests
url = "https://uat-api.clinkbill.com/agent/platform/risk-rules"
payload = {
"singleRechargeLimit": 500,
"dailyTotalLimit": 2000,
"dailyMaxCount": 5,
"rechargeInterval": "30m",
"manualApprovalThreshold": 1000,
"manualApprovalEnabled": True,
"autoSuspendEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
singleRechargeLimit: 500,
dailyTotalLimit: 2000,
dailyMaxCount: 5,
rechargeInterval: '30m',
manualApprovalThreshold: 1000,
manualApprovalEnabled: true,
autoSuspendEnabled: true
})
};
fetch('https://uat-api.clinkbill.com/agent/platform/risk-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"singleRechargeLimit": 500,
"dailyTotalLimit": 2000,
"dailyMaxCount": 5,
"rechargeInterval": "30m",
"manualApprovalThreshold": 1000,
"manualApprovalEnabled": true,
"autoSuspendEnabled": true
}
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}Account
更新风控规则
Replaces the user’s global default risk rules. The update is a full replacement of the settings object. Requires portal:write.
PUT
/
agent
/
platform
/
risk-rules
Update risk rules
curl --request PUT \
--url https://uat-api.clinkbill.com/agent/platform/risk-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"singleRechargeLimit": 500,
"dailyTotalLimit": 2000,
"dailyMaxCount": 5,
"rechargeInterval": "30m",
"manualApprovalThreshold": 1000,
"manualApprovalEnabled": true,
"autoSuspendEnabled": true
}
'HttpResponse<String> response = Unirest.put("https://uat-api.clinkbill.com/agent/platform/risk-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"singleRechargeLimit\": 500,\n \"dailyTotalLimit\": 2000,\n \"dailyMaxCount\": 5,\n \"rechargeInterval\": \"30m\",\n \"manualApprovalThreshold\": 1000,\n \"manualApprovalEnabled\": true,\n \"autoSuspendEnabled\": true\n}")
.asString();import requests
url = "https://uat-api.clinkbill.com/agent/platform/risk-rules"
payload = {
"singleRechargeLimit": 500,
"dailyTotalLimit": 2000,
"dailyMaxCount": 5,
"rechargeInterval": "30m",
"manualApprovalThreshold": 1000,
"manualApprovalEnabled": True,
"autoSuspendEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
singleRechargeLimit: 500,
dailyTotalLimit: 2000,
dailyMaxCount: 5,
rechargeInterval: '30m',
manualApprovalThreshold: 1000,
manualApprovalEnabled: true,
autoSuspendEnabled: true
})
};
fetch('https://uat-api.clinkbill.com/agent/platform/risk-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"singleRechargeLimit": 500,
"dailyTotalLimit": 2000,
"dailyMaxCount": 5,
"rechargeInterval": "30m",
"manualApprovalThreshold": 1000,
"manualApprovalEnabled": true,
"autoSuspendEnabled": true
}
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}autoSuspendEnabled 在当前版本是固定安全行为:Clink 始终返回 true,写入值会被忽略。请求 schema 为兼容保留该字段,但不能用它关闭自动暂停。PUT 返回保存后的规则。只有 portal:read 的 token 可以读,但 PUT 返回 403。授权
请求体
application/json